# Generated by Django 4.2.8 on 2023-12-11 14:54

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import import_export.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('django_celery_beat', '0018_improve_crontab_helptext'),
    ]

    operations = [
        migrations.CreateModel(
            name='PermissionOnlyModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'verbose_name': 'Import/Export Permission Model',
                'verbose_name_plural': 'Import/Export Permission Models',
                'permissions': (('access_import_export_admin', 'Access Import/Export Admin'), ('import_database', 'Import Database'), ('export_database', 'Export Database'), ('download_dump', 'Download Dump')),
                'managed': False,
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='DatabaseDump',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('settings_database', models.CharField(choices=[('default', 'DEFAULT')], help_text='The database as it appears in Django Settings.', max_length=255, verbose_name='Settings Key')),
                ('database', models.CharField(help_text='The name of the database.', max_length=255, verbose_name='Database Name')),
                ('tables', models.JSONField(default=list, help_text='The tables that were dumped.', verbose_name='Tables')),
                ('type', models.CharField(choices=[('import', 'Import'), ('export', 'Export'), ('backup', 'Backup')], help_text='The type of dump.', max_length=255, verbose_name='Type')),
                ('created', models.DateTimeField(auto_now_add=True, help_text='The date and time the dump was created.', verbose_name='Created')),
                ('file', models.FileField(help_text='The file containing the dump.', upload_to=import_export.models.get_import_file_path, verbose_name='File')),
            ],
            options={
                'verbose_name': 'Database Dump',
                'verbose_name_plural': 'Database Dumps',
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='DatabaseDumpSchedule',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_on', models.DateTimeField(help_text='The date and time to start the schedule.', null=True, verbose_name='Start On')),
                ('period', models.PositiveIntegerField(default=1, validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(365)], verbose_name='Period')),
                ('interval', models.CharField(choices=[('hours', 'Hour(s)'), ('days', 'Day(s)'), ('weeks', 'Week(s)'), ('months', 'Month(s)'), ('years', 'Year(s)')], help_text='The interval to run the schedule.', max_length=255, null=True, verbose_name='Interval')),
                ('task', models.ForeignKey(help_text='The task to run.', null=True, on_delete=django.db.models.deletion.CASCADE, to='django_celery_beat.periodictask', verbose_name='Task')),
            ],
            options={
                'verbose_name': 'Database Dump Schedule',
                'verbose_name_plural': 'Database Dump Schedules',
                'permissions': (('schedule_backup', 'Schedule Backup'),),
                'default_permissions': (),
            },
        ),
    ]
